## org.eclipse.emf.spi.cdo
Class CDOSessionProtocol.CommitTransactionResult

    java.lang.Object
      org.eclipse.emf.spi.cdo.CDOSessionProtocol.CommitTransactionResult

Enclosing interface:
  CDOSessionProtocol

    public static final class CDOSessionProtocol.CommitTransactionResult

extends java.lang.Object

Nested Class Summary
`protected static class` `CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster`

Constructor Summary
`CDOSessionProtocol.CommitTransactionResult(InternalCDOTransaction.InternalCDOCommitContext commitContext, long timeStamp)`
`CDOSessionProtocol.CommitTransactionResult(InternalCDOTransaction.InternalCDOCommitContext commitContext, java.lang.String rollbackMessage)`

Method Summary
`void` `addIDMapping(CDOIDTemp oldID, CDOID newID)`
`protected CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster` `createReferenceAdjuster()`
`InternalCDOTransaction.InternalCDOCommitContext` `getCommitContext()`
`java.util.Map<CDOIDTemp,CDOID>` `getIDMappings()`
`CDOReferenceAdjuster` `getReferenceAdjuster()`
`java.lang.String` `getRollbackMessage()`
`long` `getTimeStamp()`
`void` `setReferenceAdjuster(CDOReferenceAdjuster referenceAdjuster)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOSessionProtocol.CommitTransactionResult

    public CDOSessionProtocol.CommitTransactionResult(InternalCDOTransaction.InternalCDOCommitContext commitContext,
                                                      java.lang.String rollbackMessage)

### CDOSessionProtocol.CommitTransactionResult

    public CDOSessionProtocol.CommitTransactionResult(InternalCDOTransaction.InternalCDOCommitContext commitContext,
                                                      long timeStamp)

Method Detail

### getReferenceAdjuster

    public CDOReferenceAdjuster getReferenceAdjuster()

### setReferenceAdjuster

    public void setReferenceAdjuster(CDOReferenceAdjuster referenceAdjuster)

### getCommitContext

    public InternalCDOTransaction.InternalCDOCommitContext getCommitContext()

### getRollbackMessage

    public java.lang.String getRollbackMessage()

### getTimeStamp

    public long getTimeStamp()

### getIDMappings

    public java.util.Map<CDOIDTemp,CDOID> getIDMappings()

### addIDMapping

    public void addIDMapping(CDOIDTemp oldID,
                             CDOID newID)

### createReferenceAdjuster

    protected CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster createReferenceAdjuster()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.